\documentclass[aps,longbibliography,nofootinbib,notitlepage]{revtex4-1}

\usepackage{verbatim}
\usepackage{color}
\usepackage{epsfig}
\usepackage{float}
\usepackage{multirow}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{amsmath}
\usepackage{tabularx,url,color}
\usepackage{array}
\usepackage{hyperref}
\usepackage[utf8]{inputenc}
\usepackage{hyperref}
\newcommand\bluenote[1]{\textcolor{blue}{\bf {#1}}}

\begin{document}
\leftline{Dated: \today}

\title{omicron-x: a search for unmodeled gravitational-wave burst signals}
\author{Florent Robinet}
\affiliation{Universit\'e Paris-Saclay, CNRS/IN2P3, IJCLab, 91405 Orsay, France}
\maketitle

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\section{The Omicron analysis of gravitational-wave detectors data}\label{sec:omicron}
Let us consider the strain data of two gravitational-wave detectors: $d_H(t)$ and $d_L(t)$. These data are processed separately with the Omicron software~\cite{Robinet:2020lbf,omicron-repo}. The data is first whitened by the noise power: $d^{wh}_H(t)$ and $d^{wh}_L(t)$. Then, the $Q$ transform is applied to decompose the data in a three-dimensional basis of sine-Gaussian waveforms parameterized by the time ($t$), frequency ($\phi$), and quality factor ($Q$). The $Q$ transform is a modification of the standard short Fourier transform in which the analysis window $w$ is given a variable size:
\begin{equation}
  D_{H,L}(t, \phi, Q) = \int_{-\infty}^{+\infty}{ d_{H,L}^{wh}(t^\prime) w(t^\prime-t,\phi,Q) e^{-2i\pi\phi t^\prime}dt^\prime}.
  \label{eq:qtransform}
\end{equation}
The whitening step offers a statistical interpretation for the $Q$ transform: the resulting transform coefficients, $D_H$ and $D_L$, are used to derive signal-to-noise ratio estimators,
\begin{equation}
  \hat{\rho}^2_{H,L}(t,\phi,Q) =
  \left\{
  \begin{array}{ll}
    \left|D_{H,L}(t, \phi, Q)\right|^2-2, & \mathrm{if}\ \left|D_{H,L}(t, \phi, Q)\right|^2 \ge 2\\
    0, & \mathrm{otherwise}.
  \end{array}
  \right.
  \label{eq:snr}
\end{equation}
The signal-to-noise ratio estimators $\hat{\rho}_H$ and $\hat{\rho}_L$ can be represented as spectrograms in the $(t,\phi)$ plane, fixing $Q$. In Fig.~\ref{fig:gw150914}, the Omicron spectrograms of the GW150914 event is represented for both LIGO detectors.
\begin{figure}
  \center
  \includegraphics[width=12cm]{./figures/gw150914_h1.png} \\
  \includegraphics[width=12cm]{./figures/gw150914_l1.png}
  \caption{Omicron spectrograms of GW150914 ($Q=9.2$) as detected by LIGO-hanford (top) and LIGO-Livingston (bottom) detectors.}
  \label{fig:gw150914}
\end{figure}

Omicron defines multiple $Q$ planes to represent spectrograms. Discrete $Q$ values are used to tile the parameter space: $Q=Q[q]$, where the index $q$ runs from 0 to $N_Q-1$. The signal-to-noise ratio spectrograms $\hat{\rho}_H(t-t^H_0,\phi,Q)$ and $\hat{\rho}_L(t-t^L_0,\phi,Q)$ are computed for $Q=Q[q]$ and over a finite region of time and frequency: $t_0 \le t < t_0+\Delta_t$, and $\phi_{s}(Q[q]) \le \phi < \phi_{e}(Q[q])$. With Omicron, the spectrogram bandwidth, $\phi_{s}\rightarrow\phi_{e}$, is specific to each $Q$ plane: boundary conditions are applied to avoid aliasing. The time-frequency space is discretized using a tiling structure defined in~\cite{omicron}. The $Q$ planes are divided in logarithmically-spaced frequency rows centered on $\phi = \phi[q][l]$, where the index $l$ runs from 0 to $N_\phi[q]-1$. Each row is sub-divided into $N_t[q][l]$ linearly-spaced time bins. In the following, we will work with a single time resolution $N$ which is given by the maximum resolution across all $Q$ planes and all frequency rows.

In a discrete and finite parameter space, we note the signal-to-noise estimator\footnote{Note that we drop the hat to simplify notations.} $\rho_{H,L}(t_0^{H,L})[q][l][m] = \hat{\rho}_{H,L}(t-t^{H,L}_0,\phi,Q)$, where $q$, $l$, and $m$ are the $Q$, frequency, and time indices respectively.

An absolute amplitude can be derived from the Omicron signal-to-noise ratio~\cite{omicron}:
\begin{equation}
  B_{H,L}(t_0^{H,L})[q][l][m] = \frac{\rho(t_0^{H,L})[q][l][m]}{\int_{-\infty}^{+\infty}{\frac{|\tilde{w}(f-\phi[q][l],\,\phi[q][l],\,Q[q])|^2}{2\sqrt{(S_n(|f|)/2)}}df}},
  \label{eq:omicron_amplitude}
\end{equation}
where $\tilde{w}$ is the $Q$-transform analysis window (Fourier-transformed) and $S_n(f)$ is the one-sided detector noise power spectrum density (see~\cite{omicron} for details).

The Omicron analysis is performed over a finite duration $\Delta_t$: this is the Omicron analysis window over which the spectrograms are evaluated\footnote{The analysis window does not include the overlap between Omicron chunks. It only includes the effective part of the chunk.}. To analyze a stretch of data, the Omicron analysis is conducted over a sequence of contiguous analysis windows. This is illustrated in Fig.~\ref{fig:analysis_sequence}. The $H$ and $L$ data are analyzed synchronously, i.e. the $H$ and $L$ analysis windows are aligned in time. The $H$ analysis window $[t_0^H;\, t_0^H+\Delta_t]$ serves as a reference, then the relative position of the $L$ analysis window is indexed by $\lambda$, called the ``lag index'':
\begin{equation}
  \lambda = \frac{t_0^L-t_0^H}{\Delta_t},
  \label{eq:lambda}
\end{equation}
where $\lambda$ takes integer values, by construction. In the following, we adopt an asymmetrical description to track time. The $H$ detector serves as a time reference: $X_H(t_0^H)[q][l][m]$ (or simply $X_H[q][l][m]$) is the spectrogram of detector $H$ starting at time $t=t^H_0$. We use a generic $X$ notation to ignore (for now) the actual quantity represented in the spectrograms. The spectrogram of detector $L$ is noted $X_L[\lambda][q][l][m]$. It starts at $t=t^L_0=t_0^H+\lambda\Delta_t$.
\begin{figure}
  \center
  \includegraphics[width=16cm]{./figures/analysis_sequence.pdf}
  \caption{Sequence of Omicron analysis time segments. In the top figure, the valid time segments for the $H$ detector (thick blue lines) are analyzed by Omicron as a sequence of contiguous analysis windows (small blue segments). The data for the $L$ detector (thick green lines)) are also covered by a sequence of Omicron analysis windows (small green segments). However, to preserve the alignment of $H$ and $L$ windows, a specific sequence of $L$ windows is considered for each sequence of $H$ windows: (0) with (0), (1) with (1), and (2) with (2). For a given analysis window of the $H$ detector, the analysis windows for the $L$ detector are indexed by a lag index $\lambda$. When the $H$ and $L$ analysis windows are aligned, $\lambda=0$. Then the lag index takes negative (resp. positive) values when the $L$ analysis window is before (resp. after) the $H$ analysis window.}
  \label{fig:analysis_sequence}
\end{figure}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\section{The cross-correlation of spectrograms}\label{sec:xcorr}
The $H$ and $L$ spectrograms are cross-correlated along the time direction:
\begin{equation}
  \xi[\lambda][q][l][n] = \frac{1}{N\sigma_H[q][l]\sigma_L[\lambda][q][l]}\times\sum_{m=0}^{(N-1)} (X_H[q][l][m]-\mu_H[q][l]) \times (X_L[\lambda][q][l][m - n + N/2]-\mu_L[\lambda][q][l])
  \label{eq:xcorr1}
\end{equation}
For a given frequency row $l$ in a $Q$ plane $q$, the cross-correlation coefficient $\xi$ is obtained after shifting the time bins of $X_L$ by $n-N/2$ bins with respect to those of $X_H$. This calculation is represented in Fig.~\ref{fig:xcorr}. The coefficient $\xi$ can be seen as a function of the time shift $\delta t = t^L - t^H$ between the two detectors:
\begin{equation}
  \delta t = \left (-n+\frac{N}{2}\right) \times \frac{\Delta_t}{N}\quad (+ \lambda\Delta t).
  \label{eq:timeshift}
\end{equation}
This time shift not only includes the cross-correlation intrinsic time shift but also the time difference between the two spectrograms $ \lambda\Delta t$.
\begin{figure}
  \center
  \includegraphics[width=16cm]{./figures/xcorr.pdf}
  \caption{Representation of three cross-correlation coefficients for a given frequency row $l$: $\xi[0][q][l][0]$ (left), $\xi[0][q][l][N/2]$ (center), and $\xi[0][q][l][N-1]$. The detector $L$ (green) time is shifted by $n-N/2$ time bins with respect to the time of detector $H$ (blue). The resulting cross-correlation coefficient is represented by the red square. The dashed-line squares indicate the circular periodicity used to compute the cross-correlation. We have chosen $\lambda=0$ for clarity.}
  \label{fig:xcorr}
\end{figure}
We note that, in Eq.~\ref{eq:xcorr1}, the index $m - n + N/2$ can be out-of-range for the time series $X_L$. As often when dealing with finite discrete functions, we assume circular periodicity: $(m - n + N/2) \pmod{N}$. In the following, to simplify notations, we will not explicitely address out-of-range issues and keep light notations.

We are using a zero-normalized cross-correlation. In Eq.~\ref{eq:xcorr1}, the spectrogram values $X$ in each frequency row are applied an offset of $\mu_{L,H} = \sum_m X_{H,L}/N$ to have a zero mean.
We define $Z_{H,L} = X_{H,L}-\mu_{L,H}$ and Eq.~\ref{eq:xcorr1} can re-written as:
\begin{align}
  \xi[\lambda][q][l][n] &= \frac{1}{N\sigma_H[q][l]\sigma_L[\lambda][q][l]}\times\sum_{m=0}^{(N-1)} Z_H[q][l][m] \times Z_L[\lambda][q][l][m - n + N/2]  \nonumber \\
  &= \frac{1}{\sigma_H[q][l]\sigma_L[\lambda][q][l]} \times \zeta[\lambda][q][l][n]
  \label{eq:xcorr2}
\end{align}
Moreover, we normalize the fluctuations around the mean to obtain a cross-correlation coefficient between -1 and 1: $\sigma^2_{L,H}=\sum_mZ^2_{H,L}/N$. Moreover, we have introduced the $\zeta$ notation to represent the sum.

To optimize the computation of $\zeta$, the cross-correlation is calculated in the Fourier domain. We define the Fourier transform of a discrete time series $x$ of size $N$ as:
\begin{equation}
  \tilde{x}[k] = \frac{1}{N} \sum_{m=0}^{(N-1)} x[m] e^{-2i\pi km / N},
  \label{eq:dft}
\end{equation}
where $i=\sqrt{-1}$. The inverse Fourier transform is given by:
\begin{equation}
  x[n] = \sum_{k=0}^{(N-1)} \tilde{x}[k] \times e^{+2i\pi kn / N}.
  \label{eq:invdft}
\end{equation}

Using the definition of Eq.~\ref{eq:dft}, we write Eq.~\ref{eq:xcorr2} in the Fourier domain:
\begin{equation}
  \tilde{\zeta}[\lambda][q][l][k] = \frac{1}{N^2} \sum_{n=0}^{(N-1)} \sum_{m=0}^{(N-1)} Z_H[q][l][m] \times Z_L[\lambda][q][l][m - n + N/2] \times e^{-2i\pi kn / N}.
\end{equation}
We substitute $m^{\prime}$ for $m - n + N/2$ and we get:
\begin{align}
  \tilde{\zeta}[\lambda][q][l][k] &= \frac{1}{N^2} \sum_{m=0}^{(N-1)} \sum_{m^{\prime}=m-N/2+1}^{(m+N/2)} Z_H[q][l][m] \times Z_L[\lambda][q][l][m^{\prime}] \times e^{-2i\pi k(m-m^{\prime}+N/2) / N}, \nonumber \\
  &= \frac{(-1)^k}{N^2} \sum_{m=0}^{(N-1)} Z_H[q][l][m] \times e^{-2i\pi km / N}
  \sum_{m^{\prime}=m-N/2+1}^{(m+N/2)}  Z_L[\lambda][q][l][m^{\prime}] \times e^{+2i\pi km^{\prime} / N}.
  \label{eq:xcorr_theorem}
\end{align}
In Eq.~\ref{eq:xcorr_theorem}, the first sum is the Fourier transform of $Z_H$. For the second sum, $Z_L$ and the exponential are $N$-periodic functions so that we can apply a shift of $m-N/2+1$ without changing the result of the sum:
\begin{align}
  \tilde{\zeta}[\lambda][q][l][k] &= \frac{(-1)^k}{N} \times \widetilde{Z}_H[q][l][k] \times \sum_{m^{\prime}=0}^{(N-1)}  Z_L[\lambda][q][l][m^{\prime}] \times e^{+2i\pi km^{\prime} / N} \nonumber \\
  &= (-1)^k \times \widetilde{Z}_H[q][l][k] \times \widetilde{Z}_L^*[\lambda][q][l][k],
  \label{eq:xcorr_ft}
\end{align}
where $\widetilde{Z}_L^*$ is the complex conjugate of $\widetilde{Z}_L$. Equation~\ref{eq:xcorr_ft} is a variant of the well-known cross-correlation theorem: there is an extra phase of $\pi$ due to the fact that we chose an extra $N/2$ shift in Eq.~\ref{eq:xcorr1}.

Finally, the cross-correlation coefficients are obtained by performing the inverse Fourier transform of Eq.~\ref{eq:xcorr_ft}:
\begin{equation}
  \xi[\lambda][q][l][n] = \frac{1}{\sigma_H[q][l]\sigma_L[\lambda][q][l]} \times \sum_{k=0}^{(N-1)} (-1)^k \times \widetilde{Z}_H[q][l][k] \times \widetilde{Z}_L^*[\lambda][q][l][k] \times e^{+2i\pi kn / N}.
  \label{eq:xcorr3}
\end{equation}

As an illustration, this function is calculated with 10~seconds of data around GW150914 and is represented in Fig.~\ref{fig:gw150914_xi}. The two spectrograms were computed with $\lambda=0$. The cross-correlation is maximum when the two LIGO spectrograms are aligned: $\delta t \simeq 0$.
\begin{figure}
  \center
  \includegraphics[width=16cm]{./figures/gw150914_xi.png} \\
  \caption{Cross-correlation function $\xi(\delta t,\phi, Q=9.2)$ calculated with 10-seconds LIGO-Hanford and LIGO-Livingston spectrograms of GW150914. Large cross-correlation coefficients are located around $\delta t \approx 0$. The time axis is zoomed in $\pm 2$~s.}
  \label{fig:gw150914_xi}
\end{figure}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\section{Relative amplitude}\label{sec:amplitude}
A gravitational wave is detected by detectors $H$ and $L$ with a time delay $\delta t_\mathrm{gw}=t_\mathrm{gw}^L-t_\mathrm{gw}^H$. Moreover the gravitational-wave amplitudes $W_H$ and $W_L$ are constrained by the antenna factors of detectors $H$ and $L$:
\begin{align}
  & W^2_L(t_0^H)[q][l][m - n_\mathrm{gw} + N/2] \times \left(F^2_{+H}(t_0^H, \theta_S, \varphi_S, \Psi_S)+F^2_{\times H}(t_0^H, \theta_S, \varphi_S, \Psi_S)\right) \label{eq:antenna} \\
  & = W^2_H(t_0^H)[q][l][m] \times \left(F^2_{+L}(t_0^H, \theta_S, \varphi_S, \Psi_S)+F^2_{\times L}(t_0^H, \theta_S, \varphi_S, \Psi_S)\right),\nonumber
\end{align}
where $F_{+}$ and $F_{\times}$ are the antenna factors of gravitational-wave detectors for both wave polarizations. The time-delay index $n_\mathrm{gw}$ is derived from Eq.~\ref{eq:timeshift} with $\delta t_\mathrm{gw}$. Here, we only consider the case where $t=t_0^L=t_0^H$ ($\lambda=0$), for which gravitational waves can be detected. Also, we consider the antenna factors are constant over the duration of the spectrogram. The antenna factors depend on the source sky position $(\theta_S, \varphi_S)$ and the source polarization angle $\Psi_S$. The polarization angle dependance is actually averaged out when considering the quadratic sum of $F_{+}$ and $F_{\times}$, and can be ignored. Therefore, we introduce ${\cal{F}}^2(t_0, \theta_S, \varphi_S) = F^2_+(t_0, \theta_S, \varphi_S, \Psi_S)+F^2_{\times}(t_0, \theta_S, \varphi_S, \Psi_S)$ such that we can rewrite Eq.~\ref{eq:antenna} as
\begin{equation}
  W_L(t_0^H)[q][l][m - n_\mathrm{gw} + N/2] \times {\cal{F}}_H(t_0^H, \theta_S, \varphi_S)
  = W_H(t_0^H)[q][l][m] \times {\cal{F}}_L(t_0^H, \theta_S, \varphi_S).
  \label{eq:amp_relative}
\end{equation}
We define the amplitude ratio as:
\begin{equation}
  {\cal{R}}_{gw}(t_0^H)[n_{gw}][\omega_S] = \frac{{\cal{F}}_L(t_0^H, \theta_S, \varphi_S)}{{\cal{F}}_H(t_0^H, \theta_S, \varphi_S)}
  = \frac{W_L(t_0^H)[q][l][m - n_\mathrm{gw} + N/2]}{W_H(t_0^H)[q][l][m]}.
  \label{eq:amp_ratio}
\end{equation}
This definition is valid for any $q$ and $l$, and only depends on the time delay between detectors, $n_{gw}$. It is important to note that the relation between the time delay $n_{gw}$ and the sky position $(\theta_S, \varphi_S)$ is not bijective: the sky position is degenerated with respect to the time delay between the two detectors. To remove this degeneary, we introduce the $\omega_S$ angle which parameterizes the source position along the ring in the sky. As an illustration, figure~\ref{fig:sky} represents the antenna factors of both LIGO detectors at the time of GW150914. Depending on the time delay between the two detectors ($\delta t_\mathrm{gw}$), the resulting ring covers a different range of ${\cal{F}}_L/{\cal{F}}_H$ values.
\begin{figure}
  \center
  \includegraphics[width=8cm]{./figures/h1_sky.png}
  \includegraphics[width=8cm]{./figures/l1_sky.png} \\
  \includegraphics[width=8cm]{./figures/l1overh1.png}
  \caption{The top row shows the antenna factor of the LIGO-Hanford detector (left) and LIGO-Livingston detector (right) at the time of GW150914 as a function of the sky declination and right ascension. The bottom plot shows the corresponding amplitude ratio ${\cal{R}}_{gw}={\cal{F}}_L/{\cal{F}}_H$ between the two detectors. Sky rings at fixed $\delta t_\mathrm{gw}$ are also represented: $\delta t_\mathrm{gw}=0$~ms (black points), $\delta t_\mathrm{gw}=+5$~ms (red crosses), $\delta t_\mathrm{gw}=+10$~ms (red circle), $\delta t_\mathrm{gw}=-5$~ms (magenta crosses), $\delta t_\mathrm{gw}=-10$~ms (magenta circle).}
  \label{fig:sky}
\end{figure}

In section~\ref{sec:xcorr}, the data $X$ of two detectors have been cross-correlated without specifying the nature of the data. In the following, we use a special case: $X=B$, where $B$ is the Omicron tile amplitude defined in Eq.~\ref{eq:omicron_amplitude}. The un-normalized cross-correlation then writes:
\begin{equation}
  \bar{\zeta}[\lambda][q][l][n] = \frac{1}{N} \times \sum_{m=0}^{(N-1)} \left(B_H(t_0^H)[q][l][m]-\mu_H[q][l]\right)\times\left(B_L(t_0^H)[q][l][m-n+N/2]-\mu_L[q][l]\right),
  \label{eq:xcorr_unnormalized}
\end{equation}
where we note $\bar{\zeta}$ to isolate the special case where $X=B$. The spectrograms measured by Omicron include a noise contribution $I$ and, if $\lambda=0$, a gravitational-wave contribution $W$ such that $B=W+I$. When cross-correlating the spectrograms of two different detectors $H$ and $L$, only the gravitational-wave component $W_HW_L$ contributes. All the other contributions ($W_HI_L$, $W_LI_H$, $I_HI_L$) vanish in the sum of Eq.~\ref{eq:xcorr_unnormalized} when $N$ is large\footnote{There is actually a residual component due to fact that the Omicron signal-to-noise ratio estimator is slightly biased for $\rho \sim 0$. We decide to neglect this effect.}:
\begin{equation}
  \bar{\zeta}_{gw}[\lambda=0][q][l][n_\mathrm{gw}] = \frac{1}{N} \times \sum_{m=0}^{(N-1)} \left(W_H(t_0^H)[q][l][m]-\mu_{gw,H}[q][l]\right)\times\left(W_L(t_0^H)[q][l][m-n_\mathrm{gw}+N/2]-\mu_{gw,L}[q][l]\right),
\end{equation}
where $\mu_{gw}$ is the mean value of $W$ over a frequency row. Using Eq.~\ref{eq:amp_relative}, we get:
\begin{align}
  \bar{\zeta}_{gw}[\lambda=0][q][l][n_\mathrm{gw}] &= \frac{1}{N} \times \left(\frac{{\cal{F}}_L(t_0^H, \theta_S, \varphi_S)}{{\cal{F}}_H(t_0^H, \theta_S, \varphi_S)}\right) \times \sum_{m=0}^{(N-1)} \left(W_H(t_0^H)[q][l][m]-\mu_{gw,H}[q][l]\right)^2 \\
    &= \frac{{\cal{R}}_{gw}(t_0^H)[n_{gw}][\omega_S]}{N} \times \sum_{m=0}^{(N-1)} \left(W_H(t_0^H)[q][l][m]-\mu_{gw,H}[q][l]\right)^2.
  \label{eq:xcorr_gw}
\end{align}
It is important to note that Eq.~\ref{eq:xcorr_gw} can also be written by exchanging the roles of $H$ and $L$ detectors, without changing the expectation value of $\bar{\zeta}_{gw}$. In figure~\ref{fig:zeta_mc}, we present the result of a Monte-Carlo study where the cross-correlation coefficients $\bar{\zeta}_{gw}[\lambda=0][q][l][n_\mathrm{gw}]$ in one frequency row was computed with a noise ($I$) and a gravitational-wave ($W$) contribution. It shows that only the gravitational-wave component contributes. The noise component does not couple to the gravitational wave and only adds random fluctuations. 
\begin{figure}
  \center
  \includegraphics[width=8cm]{./figures/zeta_gw_10.pdf}
  \includegraphics[width=8cm]{./figures/zeta_gw_100.pdf}
  \caption{A Monte-Carlo simulation is produced to validate the $\bar{\zeta}_{gw}$ calculation given in Eq.~\ref{eq:xcorr_gw}. The contribution of a gravitational wave to the cross-correlation coefficient $\bar{\zeta}_{gw}$ is compared to the full $\bar{\zeta}$ calculation including both the gravitational-wave and noise contributions. The noise contribution only adds random fluctuations which can be neglected. Left: signal-to-noise ratio of 10. Right: signal-to-noise ratio of 100.}
  \label{fig:zeta_mc}
\end{figure}

The sum in Eq.~\ref{eq:xcorr_gw} cannot be evaluated directly. Instead, we use $W_H = B_H - I_H$ and we get:
\begin{align}
  \frac{1}{N}\sum_{m=0}^{(N-1)} \left(W_H(t_0^H)[q][l][m]-\mu_{gw,H}[q][l]\right)^2 &= \frac{1}{N}\sum_{m=0}^{(N-1)} \left(B_H(t_0^H)[q][l][m]-\mu_{H}[q][l]\right)^2 \nonumber \\
  &\quad - \frac{1}{N}\sum_{m=0}^{(N-1)} \left(I_H(t_0^H)[q][l][m]-\mu_{n,H}[q][l]\right)^2 \\
  &= V_H(t_0^H)[q][l] - V_{n,H}(t_0^H)[q][l],
  \label{eq:xcorr_gw_est}
\end{align}
where the cross-correlation between $W_H$ and $I_H$ vanishes. We have also introduced $\mu_{n,H}$ as the mean value of $I_H$ over a frequency row. The first term in the right-hand side of Eq.~\ref{eq:xcorr_gw_est} is the variance of the spectrogram values $B_H$ over one frequency row: $V_H(t_0^H)[q][l]$. It can easily be calculated with the $H$ spectrogram. The second term is the variance of a noise-only spectrogram: $V_{n,H}(t_0^H)[q][l]$. In the absence of gravitational waves, the variance of spectrogram values is equal to to the variance of noise: $V_H(t_0^H)[q][l] = V_{n,H}(t_0^H)[q][l]$. The expectation value for the cross-correlation coefficients $ \bar{\zeta}_{gw}$ is therefore 0.

The statistical distribution of $Q$-transform coefficients $|D(t, \phi, Q)|^2$ under a white-noise hypothesis is known~\cite{omicron}: it follows an exponential distribution with a mean value of 2. Using the definition of the Omicron signal-to-noise ratio (Eq.~\ref{eq:snr}) and amplitude (Eq.~\ref{eq:omicron_amplitude}), it is possible to determine analytically the noise variance for $I_H$ (see appendix~\ref{sec:appx_variance}):
\begin{align}
  V_{n}(t_0)[q][l] &= \frac{1}{N}\sum_{m=0}^{(N-1)} \left(I(t_0)[q][l][m]-\mu_{n}[q][l]\right)^2 \\
  &= \left(2e^{-1}-\frac{1}{2}e^{-2}\pi\right)\times{\cal{N}}^2(t_0)[q][l],
  \label{eq:noise_variance_est}
\end{align}
where
\begin{equation}
  {\cal{N}}(t_0)[q][l] = \frac{1}{\int_{-\infty}^{+\infty}{\frac{|\tilde{w}(f-\phi[q][l],\,\phi[q][l],\,Q[q])|^2}{2\sqrt{(S_n(|f|)/2)}}df}}
\end{equation}
is the noise contribution in the frequency row $(q,l)$. Equation~\ref{eq:noise_variance_est} is verified with a Monte-Carlo simulation of 100,000 frequency rows filled with white noise: see Fig.~\ref{fig:noise_variance}. The noise variance $V_{n}$ is well centered on its estimate given in Eq.~\ref{eq:noise_variance_est}, at the percent level. The value for $V_{n}$ can slightly differ when dealing with real data because the Omicron whitening can be imperfect. In this case, it is recommended to measure the deviation from the theoritical value and apply a correction factor to better estimate the noise variance. \bluenote{Comment about the presence of noise glitches.}
\begin{figure}
  \center
  \includegraphics[width=10cm]{./figures/noise_variance.pdf}
  \caption{A Monte-Carlo simulation was produced to validate the noise variance calculated with Eq.~\ref{eq:noise_variance_est}. The noise variance $V_{n,H}(t_0^H)[q][l]$ can be estimated within the percent level.}
  \label{fig:noise_variance}
\end{figure}

In the following, we plan to test the presence of a gravitational-wave event using the compatibility of signal amplitudes in the two detectors. We define an amplitude ratio for each time-delay bins $(q, l, n)$:
\begin{equation}
  {\cal{R}}_H[\lambda][q][l][n] = \frac{\bar{\zeta}[\lambda][q][l][n]}{V_H(t_0^H)[q][l] - V_{n,H}(t_0^H)[q][l]},
  \label{eq:R_ratio_H}
\end{equation}
where $\bar{\zeta}[\lambda][q][l][n]$ is the unnormalized cross-correlation coefficient computed with $X=B$, $V_H(t_0^H)[q][l]$ is the variance of the spectrogram values $B_H$ over one frequency row, and $V_{n,H}(t_0^H)[q][l]$ is the variance under the white-noise hypothesis derived from Eq.~\ref{eq:noise_variance_est}. Alternatively, if we use the $L$ detector, we define:
\begin{equation}
  {\cal{R}}_L[\lambda][q][l][n] = \frac{\bar{\zeta}[\lambda][q][l][n]}{V_L(t_0^L)[q][l] - V_{n,L}(t_0^L)[q][l]},
  \label{eq:R_ratio_L}
\end{equation}

The ratios ${\cal{R}}_H$ and ${\cal{R}}_L$ can be constrained assuming a gravitational-wave event is present; they must be compatible with the gravitational-wave amplitude ratio ${\cal{R}}_{gw}$ and $1/{\cal{R}}_{gw}$ respectively.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\section{Cross-correlation events}\label{sec:events}

The cross-correlation map $\xi[\lambda][q][l][n]$ is constructed using the definition of Eq.~\ref{eq:xcorr1}, where an amplitude power law is used: $X = B^{\alpha}$. Increasing the power index $\alpha$ enables a better contrast between the gravitational-wave amplitude $W$ and the detector noise $I$. The following sub-sections explains how events are extracted from cross-correlation maps.

\subsection{Event definition}\label{sec:events:definition}
Gravitational-waves are detected almost simultaneously in both detectors $H$ and $L$. The time delay $\delta t$ between the two detected signals accounts for the light travel time between detector's sites and time calibration uncertainties. Therefore, a gravitational-wave transient event must be detected within $\pm\, (\delta_\mathrm{det} + \delta_\mathrm{cal})$, where $\delta_\mathrm{det}$ is the maximum light travel time between detector's sites and $\delta_\mathrm{cal}$ is the time calibration uncertainty. We add an extra time delay $\delta_\mathrm{veto}$ which will be used to remove transient noise events and better isolate gravitational-wave events. In total, we define a time window of size $\pm\, \delta_\mathrm{slice}$ where $\delta_\mathrm{slice} = \delta_\mathrm{det} + \delta_\mathrm{cal} + \delta_\mathrm{veto}$.

The cross-correlation function, or map, $\xi[\lambda][q][l][n]$ is sliced in the time direction. Each slice contains an even number of time-delay bins to cover a time delay of $\pm\, \delta_\mathrm{slice}$. Slices are indexed from $s=0$ to $s=N_s-1$, where $N_s$ is the odd number of slices used to cover the entire cross-correlation map. Figure~\ref{fig:ox_slices} illustrates how the slices are constructed.
\begin{figure}
  \center
  \includegraphics[width=16cm]{./figures/ox_slices.pdf} \\
  \caption{This cross-correlation map is made of $N=48$ time-delay bins. One slice contains 6 time-delay bins to cover a time delay of $\pm\, \delta_\mathrm{slice}$. As a result, there is $N_s=7$ slices. The slice positioned at the center is indexed by $s=(N_s-1)/2$. Three time-delay bins at both edges do not belong to any slice.}
  \label{fig:ox_slices}
\end{figure}

Each slice in the cross-correlation map is called an Omicron cross-correlation \textit{event}, or simply an \textit{Ox event}. If a gravitational wave is detected in both $H$ and $L$ detectors, it will appear as a collection of cross-correlation coefficients $\xi$ with large values, in the central slice ($s=(N_s-1)/2$), when using time-aligned spectrograms: $\lambda = 0$.

Usually, the background of gravitational-wave searches is estimated using the time-slide technique~\cite{Was:2009vh}, for which the data of one detector is time-shifted with respect to the data of the other detector. If the time shift is larger than $\delta_\mathrm{det} + \delta_\mathrm{cal}$, the gravitational-wave signal in one detector is no longer correlated with the signal in the other detector\footnote{This is actually not true: for a given gravitational-wave signal, there is a correlation length which can be longer than $\delta_\mathrm{det} + \delta_\mathrm{cal}$. This is descussed \bluenote{later}}. The cross-correlation method naturally includes time-shifted data. In fact, each slice in the cross-correlation map gives one unique background realization.

The Ox events are separated into three categories:
\begin{enumerate}
\item The \textit{foreground} events are associated with slices for which $\lambda=0$ and $s=(N_s-1)/2$. In these slices, gravitational-wave signals can be detected with a time delay which is compatible with the physical distance between the two detectors.
\item The \textit{fakeground} events are associated with slices for which $\lambda=\lambda_f$ and $s=s_f$, with $\lambda_f\neq 0$ or $s\neq (N_s-1)/2$. fakeground events are used to simulate \textit{foreground} events without the presence of true gravitational-wave signals (i.e. one realization of noise).
\item The \textit{background} events are associated with all the slices which do not belong to the two previous categories.
\end{enumerate}


\subsection{Event parameters}\label{sec:events:parameters}
A cross-correlation event (or a slice), uniquely identified by $e=\{t_0^H, \lambda, s\}$, is given a set of parameters. These parameters are estimated under the assumption the event is a true gravitational-wave event. The following conditions are considered:
\begin{enumerate}
\item The cross-correlation coefficients $\xi[\lambda][q][l][n]$ must be as large as possible.
\item The cross-correlation coefficients $\xi[\lambda][q][l][n]$ must be positive. A negative cross-correlation coefficient cannot be associated to a true gravitational-wave event:
    \begin{equation}
    \Theta(\xi[\lambda][q][l][n]).
    \label{eq:xipositive_condition}
  \end{equation}

\item The event time delay $\delta t_\mathrm{gw} = \delta t - \delta t_s$ must be compatible with the maximum time delay between the two detectors $\delta_\mathrm{det} + \delta_\mathrm{cal}$, where $\delta t$ is the time delay calculated with Eq.~\ref{eq:timeshift} and $\delta t_s$ is the time delay from the center of the slice. We will use Heaviside functions to enforce this condition:
  \begin{equation}
    \Theta(\delta_\mathrm{det} + \delta_\mathrm{cal} - \delta t_\mathrm{gw}) \times \Theta(\delta t_\mathrm{gw}+\delta_\mathrm{det} + \delta_\mathrm{cal}).
    \label{eq:dt_condition}
  \end{equation}
\item The variance of the Omicron amplitude $B$ along a frequency row must be larger than the noise variance $V_n$ for that frequency row. Indeed, considering Eq.~\ref{eq:xcorr_gw_est}, we implement the condition:
  \begin{equation}
    \Theta\left(V_{H,L}(t_0^{H,L})[q][l] - V_{n,H,L}(t_0^{H,L})[q][l]\right)
    \label{eq:variance_condition}
  \end{equation}
  for both detectors. It is important to note that the variance $V_{H,L}$ is estimated with real data and is affected by an uncertainty which can be large when many spectrogram tiles are empty. As a result, condition in Eq.~\ref{eq:variance_condition} may reject frequency rows even if the gravitational-wave signal is well visible.
\end{enumerate}

The event parameters are estimated by integrating over all the frequency rows and all the $Q$ planes. For each frequency row $(q,l)$, the maximum cross-correlation coefficient in absolute value is searched in the time-delay bins of slice $s$. The maximum $|\xi[\lambda][q][l][n_{ql}]|$ is located at $n=n_{ql}$. The parameters at this maximum are averaged over $q$ and $l$ using weighted methods to enforce the conditions listed above.
\begin{enumerate}
\item The event frequency $\phi[e]$ is obtained by averaging the Omicron frequency rows:
  \begin{equation}
    \phi[e] = \frac{\sum_{q,l} w_{\phi}[q][l]\times \phi[q][l]}{\sum_{q,l} w_{\phi}[q][l]},
    \label{eq:ev_phi}
  \end{equation}
  where
  \begin{align}
    w_{\phi}[q][l]&=\xi[\lambda][q][l][n_{ql}] \nonumber \\
    &\quad\times \Theta(\xi[\lambda][q][l][n_{ql}]) \nonumber \\
    &\quad\times \Theta(\delta_\mathrm{det} + \delta_\mathrm{cal} - \delta t_\mathrm{gw}[n_{ql}]) \times \Theta(\delta t_\mathrm{gw}[n_{ql}]+\delta_\mathrm{det} + \delta_\mathrm{cal}) \nonumber \\
    &\quad\times \Theta\left(V_{H}(t_0^{H})[q][l] - V_{n,H}(t_0^{H})[q][l]\right) \nonumber \\
    &\quad\times \Theta\left(V_{L}(t_0^{L})[q][l] - V_{n,L}(t_0^{L})[q][l]\right).
    \label{eq:phi_weight}
  \end{align}
This weight is propotional to the maximum cross-correlation value in the frequency row and includes the gravitational-wave conditions listed in Eq.~\ref{eq:xipositive_condition},~\ref{eq:dt_condition} and~\ref{eq:variance_condition}. If the sum of the weights is equal to zero, the event frequency is forced to 0.
\item The event time-delay $\delta t[e]$ parameter is obtained with the weighted average:
  \begin{equation}
    \delta t[e] = \frac{\sum_{q,l} w_{\delta t}[q][l]\times\delta t[n_{ql}]}{\sum_{q,l} w_{\delta t}[q][l]},
    \label{eq:dt}
  \end{equation}
  where
  \begin{align}
    w_{\delta t}[q][l]&=\frac{\xi[\lambda][q][l][n_{ql}]}{\sigma_t^2[q][l]} \nonumber \\
    &\quad\times \Theta(\xi[\lambda][q][l][n_{ql}]) \nonumber \\
    &\quad\times \Theta(\delta_\mathrm{det} + \delta_\mathrm{cal} - \delta t_\mathrm{gw}[n_{ql}]) \times \Theta(\delta t_\mathrm{gw}[n_{ql}]+\delta_\mathrm{det} + \delta_\mathrm{cal}) \nonumber \\
    &\quad\times \Theta\left(V_{H}(t_0^{H})[q][l] - V_{n,H}(t_0^{H})[q][l]\right) \nonumber \\
    &\quad\times \Theta\left(V_{L}(t_0^{L})[q][l] - V_{n,L}(t_0^{L})[q][l]\right) \nonumber \\
    &\quad\times \Theta(\delta_\mathrm{det} + \delta_\mathrm{cal} + \delta_\mathrm{veto} - \sigma_t[q][l]).
    \label{eq:dt_weight}
  \end{align}
  This weight is propotional to the maximum cross-correlation value in the frequency row and inversely proportional to the time variance defined by the duration of Omicron tiles, $\sigma_t^2[q][l]$. The idea of this weighted average is to favor large cross-correlation coefficients with a good time resolution (the time resolution improves at high frequency). Moreover, tiles with a duration larger than the slice duration are excluded because they are incompatible with the slice time accuracy. The weight also includes the gravitational-wave conditions listed in Eq.~\ref{eq:xipositive_condition},~\ref{eq:dt_condition} and~\ref{eq:variance_condition}. If the sum of the weights is equal to zero, the event time delay is forced to the center of the slice: $\delta t[e] = \delta t_s$. The time-delay bin $n_e$ corresponding to $\delta t[e]$ is calculated with Eq.~\ref{eq:timeshift}.
\item The time delay $\delta t[e]$ is given a statistical variance:
  \begin{equation}
    \sigma^2_{\delta t}[e] = \frac{\sum_{q,l} w_{\delta t}^2[q][l]\times\sigma_t^2[q][l]}{\left(\sum_{q,l} w_{\delta t}[q][l]\right)^2}.
    \label{eq:ddt}
  \end{equation}
  If the sum of the weights is equal to zero, the time-delay variance is forced to -1.
\item The event is also parameterized by an amplitude ratio ${\cal{R}}[e]$ which is meant to estimate the ratio ${\cal{R}}_{gw}$ defined in Eq.~\ref{eq:amp_ratio} when a gravitational-wave event is present in the data. For that purpose, we consider the frequency row $(l_\mathrm{max}[q])$ which maximizes the cross-correlation coefficient $\xi[\lambda][q][l][n_{ql}]$ in each $Q$ plane $q$. Only frequency rows verifying conditions in Eq.~\ref{eq:xipositive_condition},~\ref{eq:dt_condition} and~\ref{eq:variance_condition} are considered. At this frequency, we consider the detector which maximizes the relative difference of amplitude variance: $(V(t_0)[q][l] - V_{n}(t_0)[q][l])/V_{n}(t_0)[q][l]$. With this condition, we select the detector where the signal is the most powerful. Then, an amplitude ratio is estimated for each $Q$ plane with Eq.~\ref{eq:R_ratio_H} or Eq.~\ref{eq:R_ratio_L}: ${\cal{R}}[q] = {\cal{R}}_H[\lambda][q][l_\mathrm{max}[q]][n_{ql}]$ if the detector $H$ is selected, ${\cal{R}}[q] = 1/{\cal{R}}_L[\lambda][q][l_\mathrm{max}[q]][n_{ql}]$ otherwise. Finally, the event amplitude ratio ${\cal{R}}[e]$ is obtained by taking the median of all ${\cal{R}}[q]$ values.
\end{enumerate}

A cross-correlation event is also represented by a cross-correlation coefficient $\Xi[e]$ integrated at $n=n_e$ ($\delta t = \delta t[e]$) over all frequency rows and all $Q$ planes. This coefficient is designed to take high values in the presence of a gravitational-wave event and low values for Gaussian noise or instrumental noises. It integrates the cross-correlation coefficients $\xi[\lambda][q][l][n_{e}]$ combined with the gravitational-wave conditions of Eq.~\ref{eq:dt_condition} and~\ref{eq:variance_condition}:
\begin{align}
  \Xi[e] = \frac{1}{\sum_{q,l} |\xi[\lambda][q][l][n_{ql}]|} \times \sum_{q,l} |\xi[\lambda][q][l][n_{ql}]| &\times \xi[\lambda][q][l][n_e] \nonumber \\
  &\times \Theta(\delta_\mathrm{det} + \delta_\mathrm{cal} - \delta t_\mathrm{gw}[n_{ql}]) \times \Theta(\delta t_\mathrm{gw}[n_{ql}]+\delta_\mathrm{det} + \delta_\mathrm{cal}) \nonumber \\
    &\times \Theta\left(V_{H}(t_0^{H})[q][l] - V_{n,H}(t_0^{H})[q][l]\right) \nonumber \\
    &\times \Theta\left(V_{L}(t_0^{L})[q][l] - V_{n,L}(t_0^{L})[q][l]\right).
  \label{eq:Xis}
\end{align}
Here, the weight is $|\xi[\lambda][q][l][n_{ql}]|$. With this choice, frequency rows which are not compatible with a gravitational-wave event down-weight the integrated cross-correlation coefficient. For instance, the presence of an instrumental glitch gives a low value of $\Xi$ if Eq.~\ref{eq:dt_condition} or~\ref{eq:variance_condition} is not verified. Note also that we do not include the condition of Eq.~\ref{eq:xipositive_condition} such that the expectation value of the sum of $\xi$ is 0 for Gaussian noise.

The image in Fig.~\ref{fig:Xi} illustrates how a cross-correlation event is parameterized.
\begin{figure}
  \center
  \includegraphics[width=10cm]{./figures/Xi.pdf} \\
  \caption{This image represents one slice ($s$) in a cross-correlation map. On each side of the slice center, two zones are delimited by vertical pink dashed lines. The first zone ($< \delta_\mathrm{det} + \delta_\mathrm{cal}$ from the slice center) is where gravitational-wave signals can be found. The second zone ($> \delta_\mathrm{det} + \delta_\mathrm{cal}$ from the slice center), filled in gray, is used to veto transient noise events. For each frequency row, the blue square indicates the time-delay bin where the maximum $|\xi|$ value is found: $|\xi[\lambda][q][l][n_{ql}]|$. In this example, blue squares with a white cross, at high frequency, are rejected because they stand in the veto zone. The other blue squares are used to determine the weighted-average time shift for the event $\delta t[e]$ (Eq.~\ref{eq:dt}). Finally, the cross-correlation coefficients represented by the blue squares are integrated over all frequency rows. Crossed squares do not contribute in the sum in the numerator of Eq.~\ref{eq:Xis}. However they do contribute in the denominator of Eq.~\ref{eq:Xis} to disfavor instrumental noises.}
  \label{fig:Xi}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\section{Event ranking}\label{sec:rank}

The events constructed in section~\ref{sec:events} must be ranked. Events originating from a gravitational wave must be given a high rank value, while events originating from noise must be given a low rank value. In this section, we consider several ranking methods, labeled by $r$. They are detailed in the following sub-sections.

\subsection{Cross-correlation ranking statistic $r=X$}\label{sec:rank:xcorr}

The cross-correlation rank $R_X$ is defined as:
\begin{equation}
  R_X[e] = \Xi[e]
  \times \Theta(G_H - \hat{\rho}_H^{\mathrm{max}}(t_0^H))
  \times \Theta(G_L - \hat{\rho}_L^{\mathrm{max}}(t_0^L)).
  \label{eq:rank_x}
\end{equation}
This rank definitipon includes Heaviside functions to exclude events with a large signal-to-noise ratio. For each event, the maximum signal-to-noise ratio $\hat{\rho}_{H,L}^{\mathrm{max}}(t_0^{H,L})$ is required to be below a gating threshold $G_{H,L}$ for each detector. Indeed, it is unlikely that a gravitational-wave event will be detected with a very large signal-to-noise ratio (e.g. greater than 100), while detector noise glitches can.

By construction, the rank $R_X$ can take values between -1 and 1. An event with $R_X=1$ is maximizing the cross-correlation. It means that the Omicron spectrograms are identical for both detectors. On the contrary, an event with $R_X=0$ is associated with un-correlated spectrograms. This is typically the case when cross-correlating two Omicron spectrograms with random white-noise fluctuations. When $R_X<0$, the two spectrograms are anti-correlated. This is not relevant for a gravitational-wave search. These events can be ignored.

\subsection{Amplitude cross-correlation ranking statistic $r=A$}\label{sec:rank:xcorr_amp}

The cross-correlation ranking statistic can be improved by rejecting events for which the amplitude in Omicron spectrograms is not compatible with the detector antenna factors, as explained in section~\ref{sec:amplitude}. 

The time delay between detectors and its uncertainty is measured for each event (see section~\ref{sec:events:parameters}): $\delta t[e] \pm \sigma_{\delta t}[e]$. If a gravitational-wave signal is present in the data, it must be detected with a time delay: $\delta t[e] - \delta t_s - n_\delta \sigma_{\delta t}[e] < \delta t_{gw} < \delta t[e] - \delta t_s + n_\delta \sigma_{\delta t}[e]$, where $n_\delta$ is a free parameter and $\delta t_s$ is the time delay at the center of the slice. The amplitude ratio associated to a gravitational wave, ${\cal{R}}_{gw}$ defined in Eq.~\ref{eq:amp_ratio}, is ranging from ${\cal{R}}_{\mathrm{min}}$ to ${\cal{R}}_{\mathrm{max}}$ when taking into account the time uncertainty $\pm n_\delta \sigma_{\delta t}[e]$ and the unknown source position along the sky ring $\omega_S$.

The event rank $R_X[e]$ definition in Eq~\ref{eq:rank_x} can be modified to include a constraint on the amplitude ratio in the weight:
\begin{equation}
  R_A[e] = R_X[e] \times \Theta({\cal{R}}[e] - {\cal{R}}_{\mathrm{min}}) \times \Theta({\cal{R}}_{\mathrm{max}} - {\cal{R}}[e])
  \label{eq:rank_a}
\end{equation}
With this ranking method, the integrated $\Xi$ value contributes to the rank only if the amplitude ratio is compatible with what is expected from a gravitational wave.

\subsection{Amplitude-weighted cross-correlation ranking statistic $r=W$}\label{sec:rank:xcorr_wamp}

TBC
\begin{equation}
  R_W[e] = tbc
  \label{eq:rank_Rw}
\end{equation}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
\bibliography{references}


\appendix
\input{appendix}

\end{document}
